set aptsplash 0
set problem_dir 0
global GIDDEFAULT
cd $GIDDEFAULT
# WarnWinText $GIDDEFAULT

source "problemtypes/AtenaV4/include.src.bas/MaximalMonitor_for_Surface.tcl"
source "problemtypes/AtenaV4/include.src.bas/MaximalMonitor_for_Volume.tcl"
source "problemtypes/AtenaV4/include.src.bas/TK_Utils.tcl"
source "problemtypes/AtenaV4/include.src.bas/Macroelement2.tcl"
# source "problemtypes/AtenaV4/include.src.bas/Debuging_Utils.tcl"

proc InitGIDProject { dir } {
    
#    Debuging_Comm
    
    global NumMenus MenuNames MenuEntries MenuCommands MenuAcceler
    global MenuNamesP MenuEntriesP MenuCommandsP
    global VersionNumber ProgramName ProblemTypePriv GidPriv
    global problem_dir
    global GidPriv
    global aptsplash 
    global keepsplash

    set keepsplash 0

    set ProgramName [_ "GiD+AtenaV4-Creep3D Interface"] 
    set VersionRequired "7.7.2b"
    set problem_dir $dir
    set comp -1
    catch {
       set comp [GiDVersionCmp $VersionRequired]
    }
    if {$comp < 0 } {
       WarnWin "This interface requires GiD $VersionRequired or later"
       return
    } 
    
    Splash $dir
    set aptsplash $dir
    Atena_Menu $dir

    MyPreBitmaps $dir   
    MyPostBitmaps $dir  
    set GidPriv(ProgName) $ProgramName
    ChangeWindowTitle  

    GidShowBook gendata GiD-Atena_Hidden_System_Data 0
    UpdateMenus
}

#proc GetPath_TransportBinartyData { } {
#  switch $op {
#    "INIT" {
#      # do nothing here
#    }
#    "SYNC" {
#      set GDN [lindex $args 0]
#      set STRUCT [lindex $args 1]
#      set QUESTION [lindex $args 2]
#      
#      label $w.f1.l2 -text "Transport Binary File"
#      entry $QUESTION -textvar 
#      button $w.f1.b -image [imagefrom openfold.thw]
#      
#      if {[string is double [set value [DWLocalGetValue $GDN $STRUCT FCYL28]]]} {
#        DWLocalSetValue $GDN $STRUCT $QUESTION [format %g [expr -[DWLocalGetValue $GDN $STRUCT FCYL28]]]
#      } else {
#        WarnWinText "Could not sync $QUESTION because FCYL28 is not a real value"
#      }
#    }
#    "CLOSE" {
#      # do nothing here
#    }
#  }
#}


# Pre Toolbar
proc MyPreBitmaps { dir { type "DEFAULT INSIDELEFT"} } {
    global MyPreBitmapsNames MyPreBitmapsCommands MyPreBitmapsHelp ProgramName ProblemTypePriv

    set MyPreBitmapsNames(0) "../images/linka_stat.gif ../images/options.gif \
                              ../images/linka_stat.gif \
                              ../images/concrete.gif \
                              ../images/creep.gif \
                              ../images/shell.gif \
                              ../images/beam.gif \
                              ../images/reinf.gif \
                              ../images/icko.gif \
                              ../images/show_mat.gif \
                              ../images/linka_stat.gif                              
                              ../images/constraints.gif \
                              ../images/constraints_view.gif \
                              ../images/linka_stat.gif                              
                              ../images/stopky.gif \
                              ../images/stopky_sipka.gif \
                              ../images/linka_stat.gif                                  
                              ../images/calc_creep.gif \
                              ../images/linka_stat.gif                                  
                              ../images/logoV4-creep.gif"
           
	  set MyPreBitmapsCommands(0) [list\
            "" [list -np- GidOpenProblemData Problem_Data] "" \
            [list -np- GidOpenMaterials SOLID_Concrete]\
            [list -np- GidOpenMaterials SOLID_Creep_Concrete]\
            [list -np- GidOpenMaterials SHELL_Creep_Concrete]\
            [list -np- GidOpenMaterials BEAM_Concrete]\
            [list -np- GidOpenMaterials 1D_Reinforcement]\
            [list -np- GidOpenMaterials SOLID_Steel] \
            [list -np- GiD_Process Mescape Data Materials DrawMaterial -DrawAll-] "" \
            "Data Conditions CondWindow"\
            [list -np- GiD_Process MEscape Data Conditions DrawCond -DrawAll-] "" \
            "Data IDataWindow" \
            [list -np- GiD_Process MEscape Data Intervals ChangeInterval] "" \
            "Utilities Calculate" "" \
            "-np- VisitWeb http://www.cervenka.cz/downloads"]

    
	   set MyPreBitmapsHelp(0) {
            "" "Define global Problem Data" ""  \
            "Define SOLID Concrete material"\
            "Define SOLID Creep Concrete"\
            "Define SHELL Creep material"\
            "Define BEAM material"\
            "Define Reinforcement material"\
            "Define SOLID Steel material" \
            "Draw all materials" "" \
            "Define boundary conditions ... Loads & Supports" \
            "Draw all boundary conditions ... Loads & Supports" "" \
            "Define interval solution parameters ... Interval Data" \
            "Go to interval number..." "" \
            "Start ATENA creep analysis" "" \
            "http://www.cervenka.cz/downloads" }

    set prefix Pre
    set ProblemTypePriv(pretoolbarwin) [CreateOtherBitmaps MyPreBar "AtenaV4 Pre-Processor toolbar" \
	    MyPreBitmapsNames MyPreBitmapsCommands \
	    MyPreBitmapsHelp $dir "MyPreBitmaps [list $dir]" $type $prefix]
    AddNewToolbar "$ProgramName prebar" ${prefix}MyBarWindowGeom "MyPreBitmaps [list $dir]"
}

# Post Toolbar
proc MyPostBitmaps { dir { type "DEFAULT INSIDELEFT"} } {
    global MyPostBitmapsNames MyPostBitmapsCommands MyPostBitmapsHelp ProgramName ProblemTypePriv

    set MyPostBitmapsNames(0) "../images/linka_stat.gif  \
                              ../images/options.gif \
                              ../images/importa2g.gif \
                              ../images/linka_stat.gif \
                              ../images/ReadGidResults.gif \
                              ../images/linka_stat.gif \
                              ../images/logoV4-creep.gif"

    set MyPostBitmapsCommands(0) [list\
            ""  [list -np- OptionPost]\
            [list -np- InitA2G] "" \
            [list -np- ReadResults] "" \
            "-np- VisitWeb http://www.cervenka.cz/downloads" ]

    set MyPostBitmapsHelp(0) {
            "" "Define global Post Data" \
            "Import results from AtenaWIN" "" \
            "Read results from GiD" "" \
            "http://www.cervenka.cz/downloads" }


    set prefix Post
    set ProblemTypePriv(posttoolbarwin) [CreateOtherBitmaps MyPostBar "AtenaV4 Post-Processor toolbar" \
            MyPostBitmapsNames MyPostBitmapsCommands \
            MyPostBitmapsHelp $dir "MyPostBitmaps [list $dir]" $type $prefix]
    AddNewToolbar "$ProgramName postbar" ${prefix}MyBarWindowGeom "MyPostBitmaps [list $dir]"
}


source "problemtypes/AtenaV4/include.src.bas/TK_Utils_init_problemtypes.tcl"
