# BC_Sandwich3D *GenData(sw_Generate_Boundary_Cond,Int)
source "problemtypes/AtenaV4/include.src.bas/TK_Utils.tcl"

proc Assign_BC_for_one_Sandwich3D { SandwicIndex HorniMacr DolniMacr LevyMacr PravyMacr } {

    set osw_GenBC [GiD_AccessValue get gendata  "sw_Generate_Boundary_Cond"]
    if { $osw_GenBC == 1 } {

      set IncrIntTemp [GiD_AccessValue get gendata  "Incr_Internal_Temp"]
        set n [GidConvertValueUnit $IncrIntTemp]
      set n [ParserNumberUnit $n IncrIntTemp unit]
      
      set IncrExtTemp [GiD_AccessValue get gendata  "Incr_External_Temp"]
        set n [GidConvertValueUnit $IncrExtTemp]
      set n [ParserNumberUnit $n IncrExtTemp unit]

      set MonitorExtTemp [GiD_AccessValue get gendata  "Monitor_Ext_Temp"]
      set MonitorIntTemp [GiD_AccessValue get gendata  "Monitor_Int_Temp"]

      set Monitor_Adhesive_Temp [GiD_AccessValue get gendata "Monitor_Adhesive_Temp"]
      set Monitor_Insulation_Temp [GiD_AccessValue get gendata "Monitor_Insulation_Temp"]
      set Monitor_Reinforcement_Temp [GiD_AccessValue get gendata "Monitor_Reinforcement_Temp"]

      set PredniMacr 0
      set ZadniMacr 0

	#
	#  pocet vrstev *nLayers
	#

        set nLayers [Get_nLayers ]

	#
	#  cyklus pres vsechny vrstvy
	#
	set Monitor_Inside_Concrete_Temp [GiD_AccessValue get gendata "Monitor_Inside_Concrete_Temp"]
	# WarnWinText "b:Monitor_Inside_Concrete_Temp $Monitor_Inside_Concrete_Temp"
	set cond Monitor_for_Line
        if { $Monitor_Inside_Concrete_Temp == 1 && $SandwicIndex == 1 } {
        
	        set MonitorName "Inside_Concrete"
	        set values "CURRENT_PSI_VALUES 0 0 0 0 1 0 0 $MonitorName 0"

	        set nassigned  [GiD_AssignData condition $cond lines $values 1]
	        if { $nassigned <= 0 } {
	                WarnWinText "WARNING: condition $cond can not be assigned for line 1"
	        }
        }
	set Monitor_Inside_Insulation_Temp [GiD_AccessValue get gendata "Monitor_Inside_Insulation_Temp"]
	# WarnWinText "b:Monitor_Inside_Insulation_Temp $Monitor_Inside_Insulation_Temp"
        if { $Monitor_Inside_Insulation_Temp == 1 && $SandwicIndex == 1 } {
        
	        set MonitorName "Inside_Insulation"
	        set values "CURRENT_PSI_VALUES 0 0 0 0 1 0 0 $MonitorName 0"

	        set nassigned  [GiD_AssignData condition $cond lines $values 25]
	        if { $nassigned <= 0 } {
	                WarnWinText "WARNING: condition $cond can not be assigned for line 25"
	        }
        }

	for {set i 1} {$i<=$nLayers} {set i [expr $i+1]} {
	
		# set layer_name "Assignment_$i"
		# GiD_Process layer new $layer_name escape

		if { $nLayers == 1 } {
		      set PredniMacr 1
		      set ZadniMacr  1
		} elseif { $i == 1 } {
		      set PredniMacr 1
		      set ZadniMacr  0
		} elseif { $i == $nLayers } {
		      set PredniMacr 0
		      set ZadniMacr  1
		} else {
		      set PredniMacr 0
		      set ZadniMacr  0
		}

		#
		# setting of material For current Macroelement
		#

		      set indexMacroelement [expr ($SandwicIndex-1)*$nLayers+$i]

		#
		#  i indexMacroelement   HorniMacr  DolniMacr  LevyMacr  PravyMacr  PredniMacr  ZadniMacr  IncrIntTemp  IncrExtTemp
		#
                
		if { $i == 1 && $MonitorIntTemp == 1 && $SandwicIndex == 1 } {
		        # WarnWinText "b:GenerateMonitorCond $i"
		        GenerateMonitorCond $i $indexMacroelement 0 "Internal_Temp"
		        # WarnWinText "e:GenerateMonitorCond $i"
		} elseif { $i == 2 && $Monitor_Adhesive_Temp == 1 && $SandwicIndex == 1 } {
			# WarnWinText "b:GenerateMonitorCond $i"
			GenerateMonitorCond $i $indexMacroelement 0 "Adhesive/Concrete_Temp"
		        # WarnWinText "e:GenerateMonitorCond $i"
		} elseif { $i == 3 && $Monitor_Insulation_Temp == 1 && $SandwicIndex == 1 } {
			# WarnWinText "b:GenerateMonitorCond $i"
			GenerateMonitorCond $i $indexMacroelement 0 "Insulation/Adhesive_Temp"
		        # WarnWinText "e:GenerateMonitorCond $i"
		} elseif { $i == 4 && $Monitor_Reinforcement_Temp == 1 && $SandwicIndex == 1 } {
			# WarnWinText "b:GenerateMonitorCond $i"
			GenerateMonitorCond $i $indexMacroelement 1 "Between_Reinforcements_Temp"	
		        # WarnWinText "e:GenerateMonitorCond $i"
		} elseif { $i == $nLayers && $MonitorExtTemp == 1 && $SandwicIndex == 1 } {
		        # WarnWinText "b:GenerateMonitorCond $i"
		        GenerateMonitorCond $i $indexMacroelement 1 "External_Temp"		        
		        # WarnWinText "e:GenerateMonitorCond $i"
		}		
		
                # WarnWinText "b:GenerateBoundaryCond $i"
		GenerateBoundaryCond $i $indexMacroelement $HorniMacr $DolniMacr $LevyMacr $PravyMacr $PredniMacr $ZadniMacr $IncrIntTemp $IncrExtTemp		
                # WarnWinText "e:GenerateBoundaryCond $i"
		# GiD_Process escape escape escape escape view layers delete $layer_name escape
	}
	set SandwicIndex [expr $SandwicIndex+1]
    }
    return ""
}
