set aptsplash 0
set problem_dir 0
global GIDDEFAULT
cd $GIDDEFAULT
# WarnWinText $GIDDEFAULT

source "problemtypes/AtenaV4/include.src.bas/MaximalMonitor_for_Surface.tcl"
source "problemtypes/AtenaV4/include.src.bas/MaximalMonitor_for_Volume.tcl"
source "problemtypes/AtenaV4/include.src.bas/TK_Utils.tcl"
source "problemtypes/AtenaV4/include.src.bas/Macroelement2.tcl"
# source "problemtypes/AtenaV4/include.src.bas/Debuging_Utils.tcl"

proc InitGIDProject { dir } {

#    Debuging_Comm

    global NumMenus MenuNames MenuEntries MenuCommands MenuAcceler
    global MenuNamesP MenuEntriesP MenuCommandsP
    global VersionNumber ProgramName ProblemTypePriv
    global problem_dir
    global GidPriv
    global aptsplash
    global keepsplash

    set keepsplash 0

    set ProgramName [_ "GiD+AtenaV4-Static 2D and 3D Interface"]
    set VersionRequired "7.7.2b"
    set problem_dir $dir
    set comp -1
    catch {
       set comp [GiDVersionCmp $VersionRequired]
    }
    if { $comp < 0 } {
       WarnWin "This interface requires GiD $VersionRequired or later"
       return
    }

    Splash $dir
    set aptsplash $dir
    Atena_Menu $dir

    MyPreBitmaps $dir
    MyPostBitmaps $dir
    
    
    
    set GidPriv(ProgName) $ProgramName
    ChangeWindowTitle

    GidShowBook gendata GiD-Atena_Hidden_System_Data 0
    UpdateMenus
}

proc getMaterialNameByMaterialNumber { ElemsMat } {
        return "CC3DNonLinCementitious2"
}

proc CurrentElementType { ElemsMat ElemsType ElemsNnode AddingGapElemID AddingNonLinElemID} {

        set matName "CC3DNonLinCementitious2"
        # [getMaterialNameByMaterialNumber ElemsMat ]

        set Mat_Prototype      [GiD_AccessValue get materials $matName "Material_Prototype"]
        set Geom_Non-Linearity [GiD_AccessValue get materials $matName "Geometrical_Non-Linearity"]

        set CurrentType -1

        if ( strcmp(Geom_Non-Linearity,"LINEAR")==0 && (strcmp(Mat_Prototype,"CC3DInterface")==0 || strcmp(Mat_Prototype,"CC2DInterface")==0)) {
                Set CurrentType [expr ElemsNnode+AddingGapElemID]
        } elseif(strcmp(Geom_Non-Linearity,"NONLINEAR")==0 && (strcmp(Mat_Prototype,"CC3DInterface")==0 || strcmp(Mat_Prototype,"CC2DInterface")==0)) {
                Set CurrentType [expr ElemsNnode+AddingGapElemID+AddingNonLinElemID]
        } elseif(strcmp(Geom_Non-Linearity,"LINEAR")==0 && strcmp(Mat_Prototype,"CCShellMaterial")==0) {
                Set CurrentType 16
        } elseif(strcmp(Geom_Non-Linearity,"NONLINEAR")==0 && strcmp(Mat_Prototype,"CCShellMaterial")==0) {
                Set CurrentType [expr 16+AddingNonLinElemID]
                WarnWinText "WARNING: Element type Shell is not supported Geometrical-NONLINEAR
        } elseif(strcmp(Geom_Non-Linearity,"LINEAR")==0 && (strcmp(Mat_Prototype,"CC3DInterface")!=0 && strcmp(Mat_Prototype,"CC2DInterface")!=0)) {
                Set CurrentType [expr ElemsNnode*1]
        } elseif(strcmp(Geom_Non-Linearity,"NONLINEAR")==0 && (strcmp(Mat_Prototype,"CC3DInterface")!=0 && strcmp(Mat_Prototype,"CC2DInterface")!=0)) {
                Set CurrentType [expr ElemsNnode+AddingNonLinElemID]
        }
        return $CurrentType
}


proc EndGiDPostprocess {} {
     MyPreBitmaps
}

# Pre Toolbar
proc MyPreBitmaps { dir { type "DEFAULT INSIDELEFT"} } {
    global MyPreBitmapsNames MyPreBitmapsCommands MyPreBitmapsHelp ProgramName ProblemTypePriv

    set MyPreBitmapsNames(0) "../images/linka_stat.gif \
                              ../images/options.gif \
                              ../images/linka_stat.gif \
                              ../images/concrete.gif \
                              ../images/shell.gif \
                              ../images/beam.gif \
                              ../images/reinf.gif \
                              ../images/icko.gif \
                              ../images/show_mat.gif \
                              ../images/linka_stat.gif \                              
                              ../images/constraints.gif \
                              ../images/constraints_view.gif \
                              ../images/linka_stat.gif \                              
                              ../images/stopky.gif \
                              ../images/stopky_sipka.gif \
                              ../images/linka_stat.gif \                                  
                              ../images/calc_stat.gif \
                              ../images/linka_stat.gif \                                  
                              ../images/logoV4-static.gif"


    set MyPreBitmapsCommands(0) [list\
            "" [list -np- GidOpenProblemData Problem_Data] "" \
            [list -np- GidOpenMaterials SOLID_Concrete]\
            [list -np- GidOpenMaterials SHELL_Concrete-Steel]\
            [list -np- GidOpenMaterials BEAM_Concrete]\
            [list -np- GidOpenMaterials 1D_Reinforcement]\
            [list -np- GidOpenMaterials SOLID_Steel] \
            [list -np- GiD_Process Mescape Data Materials DrawMaterial -DrawAll-] "" \
            "Data Conditions CondWindow"\
            [list -np- GiD_Process Mescape Data Conditions DrawCond -DrawAll-] ""  \
            "Data IDataWindow" \
            [list -np- GiD_Process Mescape Data Intervals ChangeInterval] "" \
            "Utilities Calculate"  "" \
            "-np- VisitWeb http://www.cervenka.cz/downloads"]

    set MyPreBitmapsHelp(0) {
            "" "Define global Problem Data" ""  \
            "Define SOLID Concrete material"\
            "Define SHELL material"\
            "Define BEAM material"\
            "Define Reinforcement material"\
            "Define SOLID Steel material"\
            "Draw all materials" ""\
            "Define boundary conditions ... Loads & Supports"\
            "Draw all boundary conditions ... Loads & Supports" "" \
            "Define interval solution parameters ... Interval Data" \
            "Go to interval number..." "" \
            "Start ATENA static analysis" "" \
            "http://www.cervenka.cz/downloads" }

    set prefix Pre
    set ProblemTypePriv(pretoolbarwin) [CreateOtherBitmaps MyPreBar "AtenaV4 Pre-Processor toolbar" \
            MyPreBitmapsNames MyPreBitmapsCommands \
            MyPreBitmapsHelp $dir "MyPreBitmaps [list $dir]" $type $prefix]
    AddNewToolbar "$ProgramName prebar" ${prefix}MyBarWindowGeom "MyPreBitmaps [list $dir]"
}

# Post Toolbar
proc MyPostBitmaps { dir { type "DEFAULT INSIDELEFT"} } {
    global MyPostBitmapsNames MyPostBitmapsCommands MyPostBitmapsHelp ProgramName ProblemTypePriv

    set MyPostBitmapsNames(0) "../images/linka_stat.gif \
                              ../images/options.gif \
                              ../images/importa2g.gif \
                              ../images/linka_stat.gif \
                              ../images/ReadGidResults.gif \
                              ../images/linka_stat.gif \
                              ../images/logoV4-static.gif"

    set MyPostBitmapsCommands(0) [list\
            "" [list -np- OptionPost]\
            [list -np- InitA2G] "" \
            [list -np- ReadResults] "" \
            "-np- VisitWeb http://www.cervenka.cz/downloads" ]

    set MyPostBitmapsHelp(0) {
            "" "Define global Post Data" \
            "Import results from AtenaWIN" "" \
            "Read results from GiD" "" \
            "http://www.cervenka.cz/downloads" }



    set prefix Post
    set ProblemTypePriv(posttoolbarwin) [CreateOtherBitmaps MyPostBar "AtenaV4 Post-Processor toolbar" \
            MyPostBitmapsNames MyPostBitmapsCommands \
            MyPostBitmapsHelp $dir "MyPostBitmaps [list $dir]" $type $prefix]
    AddNewToolbar "$ProgramName postbar" ${prefix}MyBarWindowGeom "MyPostBitmaps [list $dir]"
}



source "problemtypes/AtenaV4/include.src.bas/TK_Utils_init_problemtypes.tcl"
